CAttrTranslator Class Referenceabstract
Basic data strctures and functions

A class to translate an attribute from a string. More...

`#include <mia/core/attributes.hh>`

Inheritance diagram for CAttrTranslator:
[legend]

## Public Member Functions

PAttribute | from_string (const std::string &value) const
virtual | ~CAttrTranslator ()
| The virtual destructor just ensures virtual destruction and silences a warning.

## Protected Member Functions

| CAttrTranslator ()
bool | do_register (const std::string &key)

## Detailed Description

A class to translate an attribute from a string.

This class is the base class to translate attributes from their typed value to a string and back.

Definition at line 415 of file attributes.hh.

## Constructor & Destructor Documentation

## ~CAttrTranslator()

virtual CAttrTranslator::~CAttrTranslator | ( |  | ) |

inline virtual

The virtual destructor just ensures virtual destruction and silences a warning.

Definition at line 419 of file attributes.hh.

## CAttrTranslator()

CAttrTranslator::CAttrTranslator | ( |  | ) |

protected

## Member Function Documentation

## do_register()

bool CAttrTranslator::do_register | ( | const std::string & | key | ) |

protected

Register this translator to handle attributes with the given key

Parameters

  key |

## from_string()

PAttribute CAttrTranslator::from_string | ( | const std::string & | value | ) | const

Parameters

  value | the string value of the object

Returns
  a shared pointer to the newly created attribute

The documentation for this class was generated from the following file:

- attributes.hh